package com.agri.system.service;

import com.agri.system.domain.SysUserAgri;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 大棚信息（用户-设备关联）Service接口
 * 
 * @author lld
 * @date 2026-01-25
 */
public interface ISysUserAgriService  extends IService<SysUserAgri> {
    /**
     * 查询大棚信息（用户-设备关联）
     * 
     * @param id 大棚信息（用户-设备关联）主键
     * @return 大棚信息（用户-设备关联）
     */
    public SysUserAgri selectSysUserAgriById(Long id);

    /**
     * 查询大棚信息（用户-设备关联）列表
     * 
     * @param sysUserAgri 大棚信息（用户-设备关联）
     * @return 大棚信息（用户-设备关联）集合
     */
    public List<SysUserAgri> selectSysUserAgriList(SysUserAgri sysUserAgri);

    public List<SysUserAgri> findAgriUser(SysUserAgri sysUserAgri);
    public List<SysUserAgri> findAllUser(SysUserAgri sysUserAgri);

    /**
     * 新增大棚信息（用户-设备关联）
     * 
     * @param sysUserAgri 大棚信息（用户-设备关联）
     * @return 结果
     */
    public int insertSysUserAgri(SysUserAgri sysUserAgri);

    /**
     * 修改大棚信息（用户-设备关联）
     * 
     * @param sysUserAgri 大棚信息（用户-设备关联）
     * @return 结果
     */
    public int updateSysUserAgri(SysUserAgri sysUserAgri);

    /**
     * 批量删除大棚信息（用户-设备关联）
     * 
     * @param ids 需要删除的大棚信息（用户-设备关联）主键集合
     * @return 结果
     */
    public int deleteSysUserAgriByIds(Long[] ids);

    /**
     * 删除大棚信息（用户-设备关联）信息
     * 
     * @param id 大棚信息（用户-设备关联）主键
     * @return 结果
     */
    public int deleteSysUserAgriById(Long id);

}



